Name:           perl-UNIVERSAL-moniker
Version:        0.08
Release:    1%{?dist}
Summary:        Real world naming for classes
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/UNIVERSAL-moniker
Source0:        https://cpan.metacpan.org/modules/by-module/UNIVERSAL/UNIVERSAL-moniker-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Lingua::EN::Inflect)

%global __provides_exclude ^perl\\(UNIVERSAL\\)

%description
UNIVERSAL::moniker enables classes to make a good 
guess at what they would be called in the real world.

%prep
%setup -q -n UNIVERSAL-moniker-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/UNIVERSAL/
%{_mandir}/man3/UNIVERSAL::moniker.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.08-1
- initial build
